PUT /api/projects/{id}/proxy-config

Authentication

API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Example: "abc123"

Request Body

application/json
allowed_origins string[]
Array of:
default_motion string
Enum: subtle, medium, kinetic
default_dur_seconds integer
default_mode string
Enum: loop, animate-in, animate-on-hover
enable_signing boolean

Responses

200 Updated
application/json
project object REQUIRED
proxy_key string | null REQUIRED
allowed_origins string | null REQUIRED
default_motion string | null REQUIRED
default_dur_seconds number | null REQUIRED
default_mode string | null REQUIRED
signing_secret string | null REQUIRED
404 Not found
curl -X PUT 'https://motioness.com/api/projects/abc123/proxy-config' \  -H 'Content-Type: application/json' \  -d '{  "allowed_origins": [    "string"  ],  "default_motion": "subtle",  "default_dur_seconds": 2,  "default_mode": "loop",  "enable_signing": true}'
const response = await fetch('https://motioness.com/api/projects/abc123/proxy-config', {  method: 'PUT',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "allowed_origins": [      "string"    ],    "default_motion": "subtle",    "default_dur_seconds": 2,    "default_mode": "loop",    "enable_signing": true  })});const data = await response.json();console.log(data);
import requestsresponse = requests.put('https://motioness.com/api/projects/abc123/proxy-config', json={  "allowed_origins": [    "string"  ],  "default_motion": "subtle",  "default_dur_seconds": 2,  "default_mode": "loop",  "enable_signing": true})print(response.json())
200 Response
{  "project": {    "proxy_key": "<string>",    "allowed_origins": "<string>",    "default_motion": "<string>",    "default_dur_seconds": 123,    "default_mode": "<string>",    "signing_secret": "<string>"  }}
Ask a question... ⌘I